FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202007172106.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007172106.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a28690a OS_GIT_VERSION=4.5.0-202007172106.p0-a28690a SOURCE_DATE_EPOCH=1590078570 SOURCE_GIT_COMMIT=a28690a777a1225386b769fbc9a78323189e686a SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-57-ga28690a77 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
WORKDIR /go/src/sigs.k8s.io/cluster-capacity
COPY . .
RUN go build -o hypercc ./cmd/hypercc

FROM openshift/ose-base:v4.5.0.20200717.210802
ENV __doozer=update BUILD_RELEASE=202007172106.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202007172106.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=a28690a OS_GIT_VERSION=4.5.0-202007172106.p0-a28690a SOURCE_DATE_EPOCH=1590078570 SOURCE_GIT_COMMIT=a28690a777a1225386b769fbc9a78323189e686a SOURCE_GIT_TAG=openshift-enterprise-cluster-capacity-3.10.80-1-57-ga28690a77 SOURCE_GIT_URL=https://github.com/openshift/cluster-capacity 
COPY --from=builder /go/src/sigs.k8s.io/cluster-capacity/hypercc /usr/bin/
RUN ln -sf /usr/bin/hypercc /usr/bin/cluster-capacity
RUN ln -sf /usr/bin/hypercc /usr/bin/genpod
CMD ["/usr/bin/cluster-capacity", "--help"]

LABEL \
        License="GPLv2+" \
        io.k8s.description="This is a component of OpenShift Container Platform and runs Cluster Capacity analysis tool." \
        io.k8s.display-name="OpenShift Container Platform Cluster Capacity" \
        io.openshift.tags="openshift,cluster-capacity" \
        vendor="Red Hat" \
        name="openshift/ose-cluster-capacity" \
        com.redhat.component="openshift-enterprise-cluster-capacity-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-scheduler" \
        release="202007172106.p0" \
        io.openshift.build.commit.id="a28690a777a1225386b769fbc9a78323189e686a" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-capacity" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-capacity/commit/a28690a777a1225386b769fbc9a78323189e686a" \
        version="v4.5.0"

